Bug 972469 - mkfs.fsfs builds a FS that's not accepted by the (3.9.4) kernel
mkfs.fsfs builds a FS that's not accepted by the (3.9.4) kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: f2fs-tools (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 11:58 EDT by Rolf Fokkens
Modified: 2013-07-07 20:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: f2fs-tools-1.1.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-07 20:57:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2013-06-09 11:58:19 EDT
Description of problem:
After enabling F2FS in the kernel src.rpm and rebuilding the RPM, the kernel appears not to recognize a filesystem as created by mkfs.f2fs

Version-Release number of selected component (if applicable):
kernel-3.9.4-200.fc18.x86_64 (+F2FS)
f2fs-tools-1.0.0-3.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Rebuild the Fedora kernel after enabling F2FS in the config
2. Reboot
3. Write a F2FS FS to a device using mkfs.f2fs
4. Try to mount the newly created FS; e.g. mount -t f2fs /dev/<dev> /mnt/<dir>

Actual results:
mount: wrong fs type, bad option, bad superblock on /dev/mapper/loop0p1,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so
syslog:

[  126.173405] F2FS-fs (sde2): Magic Mismatch, valid(0xf2f52010) - read(0x74000)
[  126.173418] F2FS-fs (sde2): Can't find a valid F2FS filesystem in first superblock
[  126.174044] F2FS-fs (sde2): Magic Mismatch, valid(0xf2f52010) - read(0x100000)
[  126.174050] F2FS-fs (sde2): Can't find a valid F2FS filesystem in second superblock


Expected results:
A happily mounted FS

Additional info:
Using the 1.1.0 version of f2fs tools fixes the problem:
http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/tag/?id=v1.1.0
Comment 1 Eduardo Echeverria 2013-06-09 12:45:26 EDT
Hi Rolf, f2fs v1.1.0 is built in rawhide, I'll build in the other branches
Comment 2 Fedora Update System 2013-06-13 14:42:18 EDT
f2fs-tools-1.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/f2fs-tools-1.1.0-2.fc19
Comment 3 Fedora Update System 2013-06-13 14:52:41 EDT
f2fs-tools-1.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/f2fs-tools-1.1.0-2.fc18
Comment 4 Fedora Update System 2013-06-14 19:10:30 EDT
Package f2fs-tools-1.1.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing f2fs-tools-1.1.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10834/f2fs-tools-1.1.0-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-07 20:57:11 EDT
f2fs-tools-1.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-07 20:58:37 EDT
f2fs-tools-1.1.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.